<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">

/* sample for using REDIR_DEFAULTSITE by Laurent Couterne */

<?php
/* Fonction for Url */

function Get_Site_Url( $url )
{
$pos_http = strpos( $url, "//" );
$pos_fin_site = strpos( $url , "/", $pos_http+2 );
$pos_debut_site = strpos( $url, "www." );
$start = max( $pos_debut_site+4, $pos_http+2 ); 

$site = substr( $url, $start, $pos_fin_site-$start );

return $site;
}

/* Modify filter lists */
function Write_Filter( $File, $t, $newSite )
{
$fd=fopen($File,"a");
// $d=date("[Y-m-d H:i:s]", time());
fputs($fd, "$newSite\n");
fclose($fd);
touch( $t );
}


/* Log Modification */
function Write_Log( $File, $newSite, $host )
{
$WriteHeader = false;
if( !file_exists($File ) )	{
	$WriteHeader = true;	// Csv header needs to be created
	}
$fd=fopen($File,"a");
$d=date("[Y-m-d H:i:s]", time());
if( $WriteHeader == true )	{
	fputs( $fd,"Date;Host;Site\n");
	}
fputs($fd, "$d;$ip;$newSite\n");
fclose($fd);
}
?>

<?php
$cfg_path_browser="http://".gethostname()."/local/inet";

//foreach ($_GET as $k => $v) { echo "\$_GET[$k]:$v<br>"; }


if (!isset($_GET['reason'])) {
 echo "error!"; exit;
} 


/* these variables are allways set */
$ip=$_GET['ip'];
$url=$_GET['url'];
$host=$_GET['host'];
$user=$_GET['user'];
$reason=$_GET['reason'];
$method=$_GET['method'];
$network=$_GET['network'];
$version=$_GET['version'];

switch($reason) {
 case "blist":
  $filter=$_GET['filter'];
  $img="$cfg_path_browser/img/stop.jpg";
  $title="No action have been defined for this site!";
  $description="Information:";
  $site = Get_Site_Url( $url );
  $sel_l = array ("Webseite", "Benutzer", "Filter", "Host", "Version", "Site");
  $sel_r = array ("$url via $method", "$user", "$filter", "$ip ($host)",
  "<a href=\"http://www.mcmilk.de/projects/squidwall/\">$version</a>", "$site");
  $log="filter=$filter";
  break;

}
$newSite = $Action = $nameErr = "";
$p="/home/backup/denied";
$f="/etc/squidwall/filters";
/* Post Validation */
if ($_SERVER["REQUEST_METHOD"] == "POST") {
/* Add filter entries and modification logging */
echo "post\n\n";
    if (empty($_POST["urlBkp"])) {
        $nameErr = "Missing";
    }
    else {
        $url = $_POST["urlBkp"];
    }

    if (empty($_POST["Site"])) {
        $nameErr = "Missing";
    }
    else {
        $newSite = $_POST["Site"];
    }
 
    if (empty($_POST["inList"])) {
        $addrErr = "Missing";
    }
    else {
        $Action = $_POST["inList"];
    }
echo "nameErr ".$nameErr." Action: ".$Action."\n";
	/* If $nameErr is empty do action */
	if( empty( $nameErr ) ) { // Write log and autorisation files
	$filterFile = "gloups";
		switch( $Action ) {
			case "white":
				$filterFile = "$f/wfilter/url-wlist";
				$TouchFile = "$f/wfilter/!";
				$logFile  =  "$p/WhiteListUpdate.csv";
				break;
				
			case "bitmap":
				$filterFile = "$f/bfilter/banner-tr";
				$TouchFile = "$f/bfilter/!";
				$logFile  =  "$p/BitmapListUpdate.csv";
				break;

			case "black":
				$filterFile = "$f/ufilter/url-blist";
				$TouchFile = "$f/ufilter/!";
				$logFile  =  "$p/BlackListUpdate.csv";
				break;
		}
echo "File = ".	$filterFile."\n";	
	Write_Filter( $filterFile, $TouchFile, $newSite );
	Write_Log( $logFile, $newSite, $host );
	}

	//Move to site
	Sleep( 10 );
	header("Location:$url");
	exit();
}
else
{
/* logging */
$filename = "$p/av-$network.log";
$fd=fopen($filename,"a");
$d=date("[Y-m-d H:i:s]", time());
fputs($fd, "$d\t$reason\t$url\t$ip\t$host\t$user\t$method\t$log\n");
fclose($fd);
//$t_open
}







echo "
<html><head>
<title>$title</title>

<meta http-equiv=\"content-type\" content=\"text/html; charset=iso-8859-15\">
<meta http-equiv=\"expires\" content=\"10\">
<meta name=\"language\" content=\"german\">
<meta name=\"author\" content=\"Tino Reichardt, milky-squidwall@mcmilk.de\">
<meta name=\"description\" content=\"Squidwall Error Message :P\">
<meta name=\"robots\" content=\"noindex,nofollow,noarchiv\">

<body>

<table width=\"100%\">
<tr>
 <td><img border=\"0\" src=\"$img\"></td>
 <td align=\"center\" width=\"100%\"><h1>$title</h1></td>
</tr>
</table>

<br><br><br>
<font size=\"+1\">$description</font>
<br><br>

<form method=\"POST\"
 action=\"".htmlspecialchars($_SERVER["PHP_SELF"])."\">


<table>";

for ($i=0; isset($sel_r[$i]); $i++) {
echo "
<tr>
 <td valign=\"top\" >$sel_l[$i]</td>
 <td width=\"15\"> </td>
 <td valign=\"top\" >"; 
 if( $sel_l[$i] == "Site") { 
	echo "<input type=\"text\" name=\"Site\" value=\"".$sel_r[$i]."\">"; 
	} 
 else { 
	echo $sel_r[$i]; 
	} 
 echo "</td>
</tr>
";
}

echo "</table></body></html>";


echo " 
<p>Site registration<br/>
<input type=radio name=\"inList\" value=\"white\">Add to White List</input><br/>
<input type=radio name=\"inList\" value=\"bitmap\">Replace by Empty bitmap</input><br/>
<input type=radio name=\"inList\" value=\"black\">Add to Black List</input><br/>
</p>
";

/*
echo "
<br>
<input type=reset  value=\"".$msg[$lang]['button']['reset']."\">
<input type=submit value=\"".$msg[$lang]['button']['submit']."\">
";
*/

echo "
<input type=\"hidden\" name=\"urlBkp\" value=\"".$url."\"/>";
echo "
<br>
<input type=submit value=\"".submit."\">
</form>";




?>
